Package twisted :: Package python :: Module roots :: Class Entity |
[show private | hide private]
[frames | no frames]

## Class Entity

I am a terminal object in a hierarchy, with no children.

I represent a null interface; certain non-instance objects (strings and integers, notably) are Entities.

Methods on this class are suggested to be implemented, but are not required, and will be emulated on a per-protocol basis for types which do not handle them.

Method Summary
| ``render`(self, request)` I produce a stream of bytes for the request, by calling request.write() and request.finish().

Method Details

### render(self, request) I produce a stream of bytes for the request, by calling request.write() and request.finish().

Generated by Epydoc 1.1 on Thu May 8 13:18:57 2003 | http://epydoc.sf.net